<?php

use App\Office;
use App\OfficeDescription;
use Illuminate\Database\Seeder;

class OfficeDescriptionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        foreach (Office::cursor() as $office) {
            foreach (languages() as $language) {
                factory(OfficeDescription::class)->create([
                    'office_id' => $office->id,
                    'language_id' => $language->id
                ]);
            }
        }
    }
}
